# Retrieve custom fields for a specific product.

Retrieve custom fields for a specific product.

Endpoint: GET /store/products/{product_id}/customfields
Version: 2.0.0

## Path parameters:

  - `product_id` (integer, required)
    Product ID

## Query parameters:

  - `page` (integer)
    Page number
    Example: 1

  - `page_size` (integer)
    Number of items per page. The maximum allowed value is 500. The default value is 50.
    Example: 10

## Response 200 fields (application/json):

  - `data` (array, required)

  - `data.id` (integer, required)
    Example: 123

  - `data.name` (string,null)
    Example: "Shared web hosting"

  - `data.description` (string,null)

  - `data.type` (string, required)
    Field type
    Enum: "text", "link", "password", "dropdown", "checkbox", "textarea"

  - `data.options` (array,null)

  - `data.validation` (string,null)

  - `data.required` (boolean, required)

## Response 404 fields (application/json):

  - `message` (string)


